/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.demo;

import java.io.Serializable;
import javax.enterprise.context.Conversation;
import javax.inject.Named;
import javax.enterprise.context.Dependent;
import javax.inject.Inject;

/**
 *
 * @author Administrator
 */
@Named(value = "customerInput2")
@Dependent
public class CustomerInput2 implements Serializable {

    /**
     * Creates a new instance of CustomerInput2
     */
    public CustomerInput2() {
    }
    @Inject
    private Conversation conversation;
    @Inject
    private Customer2 customer2;

    public String startInput() {
        conversation.begin();

        return "page1";
    }

    public String toPage1() {

        return "page1";
    }

    public String toPage2() {

        return "page2";
    }

    public String toPage3() {

        return "page3";
    }

    public String toConfirmationPage() {


        return "confirm";
    }

    public String resetinput() {
        conversation.end();
        return "startInput";
    }
}
